Create a new collateral package

Permissions required: Manage Collateral Packages and Read vault activity

Creates a new collateral package in the Collateral Management service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The details for creating a new collateral package

The request payload for creating a new collateral package.

acceleratedMarginCall
object

Accelerated Margin Call level config

string

A reference identifier provided by the client for this collateral package

collateralAssetsConfig
array of objects
required
collateralAssetsConfig*
critical
object

Critical level config

integer

Number of decimal places to round LTV values to

marginCall
object

Margin Call level config

marginReturn
object

Margin Return level config

string
required

Collateral management participant ID of the Pledgor (borrower) associated with this collateral package

string
enum
required

This field specifies the pricing strategy to be used for the collateral package. To be implemented in the future

Allowed:
string
required

Unique identifier of the secured party (lender) associated with this collateral package

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json